Index: trunk/src/defs/globals.h
===================================================================
--- trunk/src/defs/globals.h	(revision 6994)
+++ trunk/src/defs/globals.h	(revision 6997)
@@ -68,6 +68,6 @@
 #define   CONFIG_NAME_ALWAYS_SHOW_GUI      "Always-Show-The-Gui"
 // evenets
-#define   CONFIG_NAME_PLAYER_UP            "Up"
-#define   CONFIG_NAME_PLAYER_DOWN          "Down"
+#define   CONFIG_NAME_PLAYER_FORWARD       "Forward"
+#define   CONFIG_NAME_PLAYER_BACKWARD      "Backward"
 #define   CONFIG_NAME_PLAYER_LEFT          "Left"
 #define   CONFIG_NAME_PLAYER_RIGHT         "Right"
Index: trunk/src/lib/event/key_mapper.cc
===================================================================
--- trunk/src/lib/event/key_mapper.cc	(revision 6994)
+++ trunk/src/lib/event/key_mapper.cc	(revision 6997)
@@ -33,6 +33,6 @@
 
 /* initialize all variables to a reasonable value*/
-int KeyMapper::PEV_UP                = EV_UNKNOWN;
-int KeyMapper::PEV_DOWN              = EV_UNKNOWN;
+int KeyMapper::PEV_FORWARD           = EV_UNKNOWN;
+int KeyMapper::PEV_BACKWARD          = EV_UNKNOWN;
 int KeyMapper::PEV_LEFT              = EV_UNKNOWN;
 int KeyMapper::PEV_RIGHT             = EV_UNKNOWN;
@@ -67,6 +67,6 @@
  */
 orxKeyMapping map[] = {
-  {&KeyMapper::PEV_UP,                   CONFIG_NAME_PLAYER_UP},
-  {&KeyMapper::PEV_DOWN,                 CONFIG_NAME_PLAYER_DOWN},
+  {&KeyMapper::PEV_FORWARD,                   CONFIG_NAME_PLAYER_FORWARD},
+  {&KeyMapper::PEV_BACKWARD,                 CONFIG_NAME_PLAYER_BACKWARD},
   {&KeyMapper::PEV_LEFT,                 CONFIG_NAME_PLAYER_LEFT},
   {&KeyMapper::PEV_RIGHT,                CONFIG_NAME_PLAYER_RIGHT},
Index: trunk/src/lib/event/key_mapper.h
===================================================================
--- trunk/src/lib/event/key_mapper.h	(revision 6994)
+++ trunk/src/lib/event/key_mapper.h	(revision 6997)
@@ -39,6 +39,6 @@
 
  public:
-  static int PEV_UP;                //!< up button
-  static int PEV_DOWN;              //!< down buttton
+  static int PEV_FORWARD;           //!< forward button
+  static int PEV_BACKWARD;          //!< backward buttton
   static int PEV_LEFT;              //!< left button
   static int PEV_RIGHT;             //!< right button
Index: trunk/src/lib/gui/gtk_gui/gui_keys.cc
===================================================================
--- trunk/src/lib/gui/gtk_gui/gui_keys.cc	(revision 6994)
+++ trunk/src/lib/gui/gtk_gui/gui_keys.cc	(revision 6997)
@@ -115,6 +115,6 @@
 
         pKeysBox->setGroupName(player);
-        pKeysBox->fill(addKey(CONFIG_NAME_PLAYER_UP, "w"));
-        pKeysBox->fill(addKey(CONFIG_NAME_PLAYER_DOWN, "s"));
+        pKeysBox->fill(addKey(CONFIG_NAME_PLAYER_FORWARD, "w"));
+        pKeysBox->fill(addKey(CONFIG_NAME_PLAYER_BACKWARD, "s"));
         pKeysBox->fill(addKey(CONFIG_NAME_PLAYER_LEFT, "a"));
         pKeysBox->fill(addKey(CONFIG_NAME_PLAYER_RIGHT, "d"));
Index: trunk/src/util/track/pilot_node.cc
===================================================================
--- trunk/src/util/track/pilot_node.cc	(revision 6994)
+++ trunk/src/util/track/pilot_node.cc	(revision 6997)
@@ -103,9 +103,9 @@
 void PilotNode::process( const Event &event)
 {
-  if( event.type == KeyMapper::PEV_UP)
+  if( event.type == KeyMapper::PEV_FORWARD)
     {
       this->bUp = event.bPressed;
     }
-  else if( event.type == KeyMapper::PEV_DOWN)
+  else if( event.type == KeyMapper::PEV_BACKWARD)
     {
       this->bDown = event.bPressed;
Index: trunk/src/world_entities/space_ships/helicopter.cc
===================================================================
--- trunk/src/world_entities/space_ships/helicopter.cc	(revision 6994)
+++ trunk/src/world_entities/space_ships/helicopter.cc	(revision 6997)
@@ -150,6 +150,6 @@
 
   //add events to the eventlist
-  registerEvent(KeyMapper::PEV_UP);
-  registerEvent(KeyMapper::PEV_DOWN);
+  registerEvent(KeyMapper::PEV_FORWARD);
+  registerEvent(KeyMapper::PEV_BACKWARD);
   registerEvent(KeyMapper::PEV_LEFT);
   registerEvent(KeyMapper::PEV_RIGHT);
@@ -412,7 +412,7 @@
   else if( event.type == SDLK_c)
     this->bDescend = event.bPressed;
-  else if( event.type == KeyMapper::PEV_UP)
+  else if( event.type == KeyMapper::PEV_FORWARD)
     this->bUp = event.bPressed;
-  else if( event.type == KeyMapper::PEV_DOWN)
+  else if( event.type == KeyMapper::PEV_BACKWARD)
     this->bDown = event.bPressed;
   else if( event.type == EV_MOUSE_MOTION)
Index: trunk/src/world_entities/space_ships/hover.cc
===================================================================
--- trunk/src/world_entities/space_ships/hover.cc	(revision 6994)
+++ trunk/src/world_entities/space_ships/hover.cc	(revision 6997)
@@ -141,6 +141,6 @@
 
   //add events to the eventlist
-  registerEvent(KeyMapper::PEV_UP);
-  registerEvent(KeyMapper::PEV_DOWN);
+  registerEvent(KeyMapper::PEV_FORWARD);
+  registerEvent(KeyMapper::PEV_BACKWARD);
   registerEvent(KeyMapper::PEV_LEFT);
   registerEvent(KeyMapper::PEV_RIGHT);
@@ -366,7 +366,7 @@
   else if( event.type == SDLK_c)
     this->bDescend = event.bPressed; //this->shiftCoor(0,-.1,0);
-  else if( event.type == KeyMapper::PEV_UP)
+  else if( event.type == KeyMapper::PEV_FORWARD)
     this->bForward = event.bPressed; //this->shiftCoor(0,.1,0);
-  else if( event.type == KeyMapper::PEV_DOWN)
+  else if( event.type == KeyMapper::PEV_BACKWARD)
     this->bBackward = event.bPressed; //this->shiftCoor(0,-.1,0);
   else if( event.type == EV_MOUSE_MOTION)
Index: trunk/src/world_entities/space_ships/space_ship.cc
===================================================================
--- trunk/src/world_entities/space_ships/space_ship.cc	(revision 6994)
+++ trunk/src/world_entities/space_ships/space_ship.cc	(revision 6997)
@@ -170,6 +170,6 @@
 
   //add events to the eventlist
-  registerEvent(KeyMapper::PEV_UP);
-  registerEvent(KeyMapper::PEV_DOWN);
+  registerEvent(KeyMapper::PEV_FORWARD);
+  registerEvent(KeyMapper::PEV_BACKWARD);
   registerEvent(KeyMapper::PEV_LEFT);
   registerEvent(KeyMapper::PEV_RIGHT);
@@ -490,7 +490,7 @@
   else if( event.type == KeyMapper::PEV_RIGHT)
       this->bRollR = event.bPressed;
-  else if( event.type == KeyMapper::PEV_UP)
+  else if( event.type == KeyMapper::PEV_FORWARD)
     this->bUp = event.bPressed; //this->shiftCoor(0,.1,0);
-  else if( event.type == KeyMapper::PEV_DOWN)
+  else if( event.type == KeyMapper::PEV_BACKWARD)
     this->bDown = event.bPressed; //this->shiftCoor(0,-.1,0);
   else if( event.type == EV_MOUSE_MOTION)
